Retry a failed post
curl --request POST \
--url https://postmesh.app/api/v1/posts/{id}/retry \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"account_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
]
}
'import requests
url = "https://postmesh.app/api/v1/posts/{id}/retry"
payload = { "account_ids": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({account_ids: ['3c90c3cc-0d44-4b50-8888-8dd25736052a']})
};
fetch('https://postmesh.app/api/v1/posts/{id}/retry', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://postmesh.app/api/v1/posts/{id}/retry",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'account_ids' => [
'3c90c3cc-0d44-4b50-8888-8dd25736052a'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://postmesh.app/api/v1/posts/{id}/retry"
payload := strings.NewReader("{\n \"account_ids\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://postmesh.app/api/v1/posts/{id}/retry")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"account_ids\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://postmesh.app/api/v1/posts/{id}/retry")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"account_ids\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ]\n}"
response = http.request(request)
puts response.read_body{
"post": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "scheduled",
"platforms": [
"<string>"
],
"text": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"text_cut": true,
"scheduled_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"source": "app",
"error": "<string>",
"accounts": [
{
"platform": "<string>",
"result": "posted",
"account_id": "<string>",
"username": "<string>",
"url": "<string>",
"error": "<string>"
}
],
"label_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
]
},
"warning": "<string>",
"youtube": [
{}
]
}{
"error": "<string>",
"code": "<string>",
"field": "<string>",
"retry_after": 0
}{
"error": "<string>",
"code": "<string>",
"field": "<string>",
"retry_after": 0
}{
"error": "<string>",
"code": "<string>",
"field": "<string>",
"retry_after": 0
}{
"error": "<string>",
"code": "<string>",
"field": "<string>",
"retry_after": 0
}{
"error": "<string>",
"code": "<string>",
"field": "<string>",
"retry_after": 0
}{
"error": "<string>",
"code": "<string>",
"field": "<string>",
"retry_after": 0
}{
"error": "<string>",
"code": "<string>",
"field": "<string>",
"retry_after": 0
}{
"error": "<string>",
"code": "<string>",
"field": "<string>",
"retry_after": 0
}Posts
Retry a failed post
Sends a failed post again to the accounts it failed on, or the ones you name.
Needs an API key with the publish scope.
POST
/
posts
/
{id}
/
retry
Retry a failed post
curl --request POST \
--url https://postmesh.app/api/v1/posts/{id}/retry \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"account_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
]
}
'import requests
url = "https://postmesh.app/api/v1/posts/{id}/retry"
payload = { "account_ids": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({account_ids: ['3c90c3cc-0d44-4b50-8888-8dd25736052a']})
};
fetch('https://postmesh.app/api/v1/posts/{id}/retry', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://postmesh.app/api/v1/posts/{id}/retry",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'account_ids' => [
'3c90c3cc-0d44-4b50-8888-8dd25736052a'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://postmesh.app/api/v1/posts/{id}/retry"
payload := strings.NewReader("{\n \"account_ids\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://postmesh.app/api/v1/posts/{id}/retry")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"account_ids\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://postmesh.app/api/v1/posts/{id}/retry")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"account_ids\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ]\n}"
response = http.request(request)
puts response.read_body{
"post": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "scheduled",
"platforms": [
"<string>"
],
"text": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"text_cut": true,
"scheduled_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"source": "app",
"error": "<string>",
"accounts": [
{
"platform": "<string>",
"result": "posted",
"account_id": "<string>",
"username": "<string>",
"url": "<string>",
"error": "<string>"
}
],
"label_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
]
},
"warning": "<string>",
"youtube": [
{}
]
}{
"error": "<string>",
"code": "<string>",
"field": "<string>",
"retry_after": 0
}{
"error": "<string>",
"code": "<string>",
"field": "<string>",
"retry_after": 0
}{
"error": "<string>",
"code": "<string>",
"field": "<string>",
"retry_after": 0
}{
"error": "<string>",
"code": "<string>",
"field": "<string>",
"retry_after": 0
}{
"error": "<string>",
"code": "<string>",
"field": "<string>",
"retry_after": 0
}{
"error": "<string>",
"code": "<string>",
"field": "<string>",
"retry_after": 0
}{
"error": "<string>",
"code": "<string>",
"field": "<string>",
"retry_after": 0
}{
"error": "<string>",
"code": "<string>",
"field": "<string>",
"retry_after": 0
}Authorizations
An API key from Settings, API & MCP: pm_live_...
Headers
Makes a retry safe: the same key within 24 hours answers with the first request's result. Up to 255 printable characters.
Required string length:
1 - 255Path Parameters
The post's id.
Body
application/json
Sends a failed post again.
The accounts to try again. Left out, every account that failed.
Required array length:
1 - 20 elementsWas this page helpful?